Package org.gradle.api.plugins

# Class JvmToolchainManagementPlugin

java.lang.Object
org.gradle.api.plugins.JvmToolchainManagementPlugin

All Implemented Interfaces:
  `Plugin<Settings>`

@Incubating public abstract class JvmToolchainManagementPlugin extends Object implements Plugin<Settings>
A plugin that provides JVM specific `ToolchainManagement` configuration.

Since:
  7.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JvmToolchainManagementPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Settings settings)`
  Apply this plugin to the given target object.
  `protected abstract JvmToolchainManagement`
  `getDefaultJvmToolchainManagement()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JvmToolchainManagementPlugin

    public JvmToolchainManagementPlugin()

- ## Method Details

  - ### getDefaultJvmToolchainManagement

    @Inject protected abstract JvmToolchainManagement getDefaultJvmToolchainManagement()

  - ### apply

    public void apply(Settings settings)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Settings>`
    Parameters:
      `settings` - The target object